curl --request POST \
--url https://sandbox.tight.com/v6/classes/segments/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"limit": 123
}
'{
"result": "SUCCESS",
"data": [
{
"id": "cls_936413",
"label": {
"id": "cll_439512",
"name": "Region",
"requiredness": "REQUIRED"
},
"name": "Mid-Atlantic",
"children": [
{
"id": "cls_936419",
"label": {
"id": "cll_439513",
"name": "Location",
"requiredness": "NOT_REQUIRED"
},
"name": "District of Columbia, DC",
"children": [
{
"id": "cls_936415",
"label": {
"id": "cll_439514",
"name": "Job Site",
"requiredness": "NOT_REQUIRED"
},
"name": "1611 Connecticut Ave",
"children": []
},
{
"id": "cls_936418",
"label": {
"id": "cll_439514",
"name": "Job Site",
"requiredness": "NOT_REQUIRED"
},
"name": "1815 Adams Mill Rd",
"children": []
}
]
},
{
"id": "cls_936420",
"label": {
"id": "cll_439513",
"name": "Location",
"requiredness": "NOT_REQUIRED"
},
"name": "Bethesda, MD",
"children": [
{
"id": "cls_936416",
"label": {
"id": "cll_439514",
"name": "Job Site",
"requiredness": "NOT_REQUIRED"
},
"name": "5511 Cornish Rd",
"children": []
}
]
}
]
},
{
"id": "cls_936414",
"label": {
"id": "cll_439512",
"name": "Region",
"requiredness": "REQUIRED"
},
"name": "Northeast",
"children": [
{
"id": "cls_936421",
"label": {
"id": "cll_439513",
"name": "Location",
"requiredness": "NOT_REQUIRED"
},
"name": "Boston, MA",
"children": [
{
"id": "cls_936417",
"label": {
"id": "cll_439514",
"name": "Job Site",
"requiredness": "NOT_REQUIRED"
},
"name": "123 Atlantic Avenue",
"children": []
}
]
}
]
}
],
"cursor": {
"after": "<string>",
"before": "<string>"
},
"error": []
}These contain the class segment values that your user tracks against. For example, if you defined a class label of “Location”, your user could define their class segments as “DC Branch”, “MD Branch”, “VA Branch”.
curl --request POST \
--url https://sandbox.tight.com/v6/classes/segments/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"limit": 123
}
'{
"result": "SUCCESS",
"data": [
{
"id": "cls_936413",
"label": {
"id": "cll_439512",
"name": "Region",
"requiredness": "REQUIRED"
},
"name": "Mid-Atlantic",
"children": [
{
"id": "cls_936419",
"label": {
"id": "cll_439513",
"name": "Location",
"requiredness": "NOT_REQUIRED"
},
"name": "District of Columbia, DC",
"children": [
{
"id": "cls_936415",
"label": {
"id": "cll_439514",
"name": "Job Site",
"requiredness": "NOT_REQUIRED"
},
"name": "1611 Connecticut Ave",
"children": []
},
{
"id": "cls_936418",
"label": {
"id": "cll_439514",
"name": "Job Site",
"requiredness": "NOT_REQUIRED"
},
"name": "1815 Adams Mill Rd",
"children": []
}
]
},
{
"id": "cls_936420",
"label": {
"id": "cll_439513",
"name": "Location",
"requiredness": "NOT_REQUIRED"
},
"name": "Bethesda, MD",
"children": [
{
"id": "cls_936416",
"label": {
"id": "cll_439514",
"name": "Job Site",
"requiredness": "NOT_REQUIRED"
},
"name": "5511 Cornish Rd",
"children": []
}
]
}
]
},
{
"id": "cls_936414",
"label": {
"id": "cll_439512",
"name": "Region",
"requiredness": "REQUIRED"
},
"name": "Northeast",
"children": [
{
"id": "cls_936421",
"label": {
"id": "cll_439513",
"name": "Location",
"requiredness": "NOT_REQUIRED"
},
"name": "Boston, MA",
"children": [
{
"id": "cls_936417",
"label": {
"id": "cll_439514",
"name": "Job Site",
"requiredness": "NOT_REQUIRED"
},
"name": "123 Atlantic Avenue",
"children": []
}
]
}
]
}
],
"cursor": {
"after": "<string>",
"before": "<string>"
},
"error": []
}Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Success
Paginated response for class segments